API reference
Monitor
Health and audit information for a workspace.
GET/monitor/audit
Get audit (monitors)
Needs the permission audit:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
limit | query | integer | at least 1. up to 200. default 30 |
cursor | query | string | up to 512 characters |
action | query | string | at least 1 characters. up to 80 characters |
entityType | query | string | at least 1 characters. up to 60 characters |
actorId | query | string (uuid) | |
entityId | query | string (uuid) | |
from | query | string (date-time) | |
to | query | string (date-time) |
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
GET/monitor/audit/export
Get export (monitors)
Needs the permission audit:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
action | query | string | at least 1 characters. up to 80 characters |
entityType | query | string | at least 1 characters. up to 60 characters |
actorId | query | string (uuid) | |
entityId | query | string (uuid) | |
from | query | string (date-time) | |
to | query | string (date-time) |
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit/export \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
GET/monitor/audit/facets
Get facets (monitors)
Needs the permission audit:read.
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit/facets \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
GET/monitor/audit/{id}
Get audit (monitor)
Needs the permission audit:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
GET/monitor/events
Get events (monitors)
Needs the permission operations:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
limit | query | integer | at least 1. up to 200. default 30 |
cursor | query | string | up to 512 characters |
severity | query | one of info, warn, error | |
component | query | string | up to 40 characters |
q | query | string | up to 100 characters |
from | query | string (date-time) | |
to | query | string (date-time) |
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/events \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
GET/monitor/overview
Get overview (monitors)
Needs the permission operations:read.
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/overview \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
Something missing or unclear? Tell us.